List notifications for the current user
List notifications for the current user
curl --request GET \
--url https://api-gw.verolabs.co/api/v1/notifications \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-gw.verolabs.co/api/v1/notifications', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api-gw.verolabs.co/api/v1/notifications"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-gw.verolabs.co/api/v1/notifications"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}using RestSharp;
var options = new RestClientOptions("https://api-gw.verolabs.co/api/v1/notifications");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);falseCURL *hnd = curl_easy_init();
curl_easy_setopt(hnd, CURLOPT_CUSTOMREQUEST, "GET");
curl_easy_setopt(hnd, CURLOPT_WRITEDATA, stdout);
curl_easy_setopt(hnd, CURLOPT_URL, "https://api-gw.verolabs.co/api/v1/notifications");
struct curl_slist *headers = NULL;
headers = curl_slist_append(headers, "Authorization: Bearer <token>");
curl_easy_setopt(hnd, CURLOPT_HTTPHEADER, headers);
CURLcode ret = curl_easy_perform(hnd);{
"notifications": [
{
"id": 123,
"user_id": "<string>",
"userId": "<string>",
"account_id": "<string>",
"accountId": "<string>",
"topic": "<string>",
"message_id": "<string>",
"messageID": "<string>",
"data": {
"accountId": "<string>",
"symbol": "<string>",
"amount": 123,
"position": {},
"account": {}
},
"read": true,
"created_at": 123,
"createdAt": 123,
"updated_at": 123,
"updatedAt": 123
}
],
"limit": 123,
"offset": 123
}{
"error": "<string>",
"message": "<string>",
"detail": "<string>",
"details": "<string>",
"status": 123
}{
"error": "<string>",
"message": "<string>",
"detail": "<string>",
"details": "<string>",
"status": 123
}{
"error": "<string>",
"message": "<string>",
"detail": "<string>",
"details": "<string>",
"status": 123
}{
"error": "<string>",
"message": "<string>",
"detail": "<string>",
"details": "<string>",
"status": 123
}Authorizations
Bearer token used for protected REST API requests.
Query Parameters
Maximum number of records to return. Notifications accept 1-100 and default to 50.
50
Number of records to skip before returning the page. Defaults to 0.
0
Response
Notifications page for the current user.
Paginated notification list response.
Notifications in descending backend order.
Hide child attributes
Hide child attributes
Notification identifier.
User that owns the notification.
CamelCase frontend alias for user_id.
Related account id.
CamelCase frontend alias for account_id.
Notification business type.
MarginCall, ForceClose, Deposit, Withdraw Notification topic/channel.
Unique backend message identifier.
CamelCase frontend alias for message_id.
Notification-specific payload. Margin/deposit/withdraw notifications usually include accountId plus optional symbol, amount, position, and account snapshots.
Hide child attributes
Hide child attributes
Related account id.
Related symbol for position/risk notifications.
Related cash amount for deposit/withdraw notifications.
Position snapshot for margin/force-close notifications.
Account snapshot for account-level notifications.
Whether the notification has been marked as read.
Creation timestamp in Unix milliseconds.
CamelCase frontend alias for created_at.
Last update timestamp in Unix milliseconds.
CamelCase frontend alias for updated_at.
Limit used for this request.
Offset used for this request.
curl --request GET \
--url https://api-gw.verolabs.co/api/v1/notifications \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-gw.verolabs.co/api/v1/notifications', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api-gw.verolabs.co/api/v1/notifications"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-gw.verolabs.co/api/v1/notifications"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}using RestSharp;
var options = new RestClientOptions("https://api-gw.verolabs.co/api/v1/notifications");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);falseCURL *hnd = curl_easy_init();
curl_easy_setopt(hnd, CURLOPT_CUSTOMREQUEST, "GET");
curl_easy_setopt(hnd, CURLOPT_WRITEDATA, stdout);
curl_easy_setopt(hnd, CURLOPT_URL, "https://api-gw.verolabs.co/api/v1/notifications");
struct curl_slist *headers = NULL;
headers = curl_slist_append(headers, "Authorization: Bearer <token>");
curl_easy_setopt(hnd, CURLOPT_HTTPHEADER, headers);
CURLcode ret = curl_easy_perform(hnd);{
"notifications": [
{
"id": 123,
"user_id": "<string>",
"userId": "<string>",
"account_id": "<string>",
"accountId": "<string>",
"topic": "<string>",
"message_id": "<string>",
"messageID": "<string>",
"data": {
"accountId": "<string>",
"symbol": "<string>",
"amount": 123,
"position": {},
"account": {}
},
"read": true,
"created_at": 123,
"createdAt": 123,
"updated_at": 123,
"updatedAt": 123
}
],
"limit": 123,
"offset": 123
}{
"error": "<string>",
"message": "<string>",
"detail": "<string>",
"details": "<string>",
"status": 123
}{
"error": "<string>",
"message": "<string>",
"detail": "<string>",
"details": "<string>",
"status": 123
}{
"error": "<string>",
"message": "<string>",
"detail": "<string>",
"details": "<string>",
"status": 123
}{
"error": "<string>",
"message": "<string>",
"detail": "<string>",
"details": "<string>",
"status": 123
}
